import request from '@/utils/request'

// 查询PPE发放登记列表
export function listPpe(query) {
  return request({
    url: '/affair/ppe/list',
    method: 'get',
    params: query
  })
}

// 查询PPE发放登记详细
export function getPpe(id) {
  return request({
    url: '/affair/ppe/' + id,
    method: 'get'
  })
}

// 新增PPE发放登记
export function addPpe(data) {
  return request({
    url: '/affair/ppe',
    method: 'post',
    data: data
  })
}

// 修改PPE发放登记
export function updatePpe(data) {
  return request({
    url: '/affair/ppe',
    method: 'put',
    data: data
  })
}

// 删除PPE发放登记
export function delPpe(id) {
  return request({
    url: '/affair/ppe/' + id,
    method: 'delete'
  })
}

// 导出PPE发放登记
export function exportPpe(query) {
  return request({
    url: '/affair/ppe/export',
    method: 'get',
    params: query
  })
}
